QGIS Application - Bug report #9007
MS SQL uniqueidentifier data type is not supported
2013-11-04 09:44 PM - Ali Diba

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: Data Provider/MSSQL

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corruptsdata: Copied to github as #: 17662
Description

If a MS SQL Spatial layer uses <uniqueidentifier> data type then layer attribute table displays as all nulls and the feature selection selects
all features at all time (even if you select a single feature). In my test the <uniqueidentifier> was the PK of the attribute table. Incidentally
the this SQL Spatial layer originated from ESRI where the datatype GUID (global id) was use to create it.

| have attached a script to help you recreate this problem. It creates a SQL Spatial table and loads it with some data.

Related issues:

Related to QGIS Application - Feature request # 12324: QGIS 2.8 Wien - Crashe... Closed 2015-03-05
Related to QGIS Application - Feature request # 10946: Non-integer key column... Open 2014-07-24
History

#1 - 2014-06-01 08:28 PM - Nathan Woodrow
- Assignee set to Nathan Woodrow

It seems QGIS only support int primary keys. | will do some more follow up.

#2 - 2014-06-01 08:28 PM - Nathan Woodrow

- Status changed from Open to Feedback

#3 - 2014-11-23 04:02 PM - Ali Diba

Brighton desktop crashes when you display the attribute table for a SQL Server Spatial layers that has a GUID field. Minidump is attached for your

consideration.

#4 - 2014-11-24 12:25 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2015-05-31 10:22 PM - Nathan Woodrow

- Resolution set to duplicate
- Status changed from Open to Closed

Closing in favor of #10946 as it will do the same thing once added.
